
Foreman - Bug #6044

production.log should have timestamps in it

06/03/2014 06:55 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee:    

Category: Rails   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1101093 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2200

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1101093

Description of problem:

production.log should have timestamps in it for easier investigation of issues

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140521.0

How reproducible:

always

Steps to Reproduce:

1. Check /var/log/foreman/production.log

Actual results:

Records in the log do not have timestamps in it

Expected results:

Records in the log should have timestamps in it

Additional info:

Bug 790966 was similar but for /var/log/katello/production.log

Related issues:

Related to Foreman - Bug #9606: The debug level logging adds many ESC charact... Closed 03/02/2015

Associated revisions

Revision 70a60246 - 03/02/2015 04:39 AM - Johan Swensson 

fixes #6044 - production.log should have timestamps in it

Revision 0cbe5d18 - 03/06/2015 08:36 AM - Johan Swensson 

fixes #6044 - production.log should have timestamps in it

(cherry picked from commit 70a602462261f6e9404c408e296618997c1e7ba5)

History

#1 - 06/04/2014 11:18 AM - Dominic Cleal

- Category set to Rails

- Status changed from New to Need more information

- Assignee deleted (Ivan Necas)

I can't replicate this on a Foreman installation, would be good to narrow down if it's with Katello.
# tail -20 /var/log/foreman/production.log

Started GET "/" for 127.0.0.1 at 2014-06-04 12:12:04 +0100

Processing by DashboardController#index as */*

Redirected to https://0.0.0.0/

Filter chain halted as :require_ssl rendered or redirected

Completed 302 Found in 8ms (ActiveRecord: 0.0ms)

Started GET "/" for 127.0.0.1 at 2014-06-04 12:12:21 +0100

Processing by DashboardController#index as */*

Redirected to https://0.0.0.0/users/login

Filter chain halted as :require_login rendered or redirected

Completed 302 Found in 81ms (ActiveRecord: 5.6ms)

Started GET "/users/login" for 127.0.0.1 at 2014-06-04 12:12:25 +0100

Processing by UsersController#login as */*

  Rendered users/login.html.erb within layouts/login (67.6ms)

  Rendered layouts/base.html.erb (1.7ms)

Completed 200 OK in 150ms (Views: 146.4ms | ActiveRecord: 0.3ms)

#2 - 02/25/2015 05:37 AM - The Foreman Bot

- Status changed from Need more information to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2200 added

#3 - 02/25/2015 05:40 AM - Marek Hulán

Dominic, the issue was that not every line has it's own timestamp. The log becomes hard to understand when there are more workers writing logs at

the same time, so timestamp (or ideally some UUID of thread) would help.

#4 - 02/25/2015 06:03 AM - Dominic Cleal

Marek Hulán wrote:

Dominic, the issue was that not every line has it's own timestamp. The log becomes hard to understand when there are more workers writing

logs at the same time, so timestamp (or ideally some UUID of thread) would help.

 Yes indeed, that's definitely an issue, though not the one that's described :)

#5 - 03/02/2015 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 70a602462261f6e9404c408e296618997c1e7ba5.

#6 - 03/02/2015 05:08 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#7 - 03/02/2015 09:09 AM - Dominic Cleal

- Related to Bug #9606: The debug level logging adds many ESC charactors in the production.log file added
